SeExpr

Signals | Public Member Functions | Public Attributes | Protected Member Functions | Private Slots | Private Attributes | List of all members
ExprTextEdit Class Reference

`#include <ExprEditor.h>`

Inheritance diagram for ExprTextEdit:

## Signals
void | applyShortcut ()
void | nextError ()

## Public Member Functions
| ExprTextEdit (QWidget *parent=0)
| ~ExprTextEdit ()
void | updateStyle ()

## Public Attributes
QCompleter * | completer
ExprCompletionModel * | completionModel

## Protected Member Functions
void | showTip (const QString &string)
void | hideTip ()
virtual void | keyPressEvent (QKeyEvent *e)
void | focusInEvent (QFocusEvent *e)
void | focusOutEvent (QFocusEvent *e)
void | mousePressEvent (QMouseEvent *event)
void | mouseDoubleClickEvent (QMouseEvent *event)
void | paintEvent (QPaintEvent *e)
void | wheelEvent (QWheelEvent *e)
void | contextMenuEvent (QContextMenuEvent *event)

## Private Slots
void | insertCompletion (const QString &completion)

## Private Attributes
QToolTip * | functionTip
std::map< std::string, std::string > | functionTooltips
ExprHighlighter * | highlighter
QStyle * | lastStyleForHighlighter
ExprPopupDoc * | _tip
QAction * | _popupEnabledAction

## Detailed Description

Definition at line 54 of file ExprEditor.h.

## Constructor & Destructor Documentation

## ◆ ExprTextEdit()

ExprTextEdit::ExprTextEdit | ( | QWidget * | parent = `0` | ) |

Definition at line 179 of file ExprEditor.cpp.

References _popupEnabledAction, completer, completionModel, highlighter, and insertCompletion().

## ◆ ~ExprTextEdit()

ExprTextEdit::~ExprTextEdit | ( |  | ) |

Definition at line 90 of file ExprEditor.cpp.

## Member Function Documentation

## ◆ applyShortcut

void ExprTextEdit::applyShortcut | ( |  | ) |
| signal

Referenced by keyPressEvent().

## ◆ contextMenuEvent()

void ExprTextEdit::contextMenuEvent | ( | QContextMenuEvent * | event | ) |
| protected

Definition at line 329 of file ExprEditor.cpp.

References _popupEnabledAction, and f().

## ◆ focusInEvent()

void ExprTextEdit::focusInEvent | ( | QFocusEvent * | e | ) |
| protected

Definition at line 203 of file ExprEditor.cpp.

References completer.

## ◆ focusOutEvent()

void ExprTextEdit::focusOutEvent | ( | QFocusEvent * | e | ) |
| protected

Definition at line 208 of file ExprEditor.cpp.

References hideTip().

## ◆ hideTip()

void ExprTextEdit::hideTip | ( |  | ) |
| protected

Definition at line 358 of file ExprEditor.cpp.

References _tip.

Referenced by focusOutEvent(), keyPressEvent(), mouseDoubleClickEvent(), and mousePressEvent().

## ◆ insertCompletion

void ExprTextEdit::insertCompletion | ( | const QString & | completion | ) |
| private slot

Definition at line 362 of file ExprEditor.cpp.

References completer.

Referenced by ExprTextEdit().

## ◆ keyPressEvent()

void ExprTextEdit::keyPressEvent | ( | QKeyEvent * | e | ) |
| protected virtual

Definition at line 242 of file ExprEditor.cpp.

References _popupEnabledAction, applyShortcut(), completer, completionModel, ExprCompletionModel::getDocString(), hideTip(), index(), nextError(), and showTip().

## ◆ mouseDoubleClickEvent()

void ExprTextEdit::mouseDoubleClickEvent | ( | QMouseEvent * | event | ) |
| protected

Definition at line 218 of file ExprEditor.cpp.

References hideTip().

## ◆ mousePressEvent()

void ExprTextEdit::mousePressEvent | ( | QMouseEvent * | event | ) |
| protected

Definition at line 213 of file ExprEditor.cpp.

References hideTip().

## ◆ nextError

void ExprTextEdit::nextError | ( |  | ) |
| signal

Referenced by keyPressEvent().

## ◆ paintEvent()

void ExprTextEdit::paintEvent | ( | QPaintEvent * | e | ) |
| protected

Definition at line 223 of file ExprEditor.cpp.

References ExprHighlighter::fixStyle(), highlighter, and lastStyleForHighlighter.

## ◆ showTip()

void ExprTextEdit::showTip | ( | const QString & | string | ) |
| protected

Definition at line 342 of file ExprEditor.cpp.

References _tip, and ExprPopupDoc::label.

Referenced by keyPressEvent().

## ◆ updateStyle()

void ExprTextEdit::updateStyle | ( |  | ) |

Definition at line 172 of file ExprEditor.cpp.

References ExprHighlighter::fixStyle(), highlighter, and lastStyleForHighlighter.

Referenced by ExprEditor::updateStyle().

## ◆ wheelEvent()

void ExprTextEdit::wheelEvent | ( | QWheelEvent * | e | ) |
| protected

Definition at line 232 of file ExprEditor.cpp.

## Member Data Documentation

## ◆ _popupEnabledAction

QAction* ExprTextEdit::_popupEnabledAction
| private

Definition at line 62 of file ExprEditor.h.

Referenced by contextMenuEvent(), ExprTextEdit(), and keyPressEvent().

## ◆ _tip

ExprPopupDoc* ExprTextEdit::_tip
| private

Definition at line 61 of file ExprEditor.h.

Referenced by hideTip(), and showTip().

## ◆ completer

QCompleter* ExprTextEdit::completer

Definition at line 65 of file ExprEditor.h.

Referenced by ExprTextEdit(), focusInEvent(), insertCompletion(), keyPressEvent(), ExprEditor::rebuildControls(), and ExprEditor::updateCompleter().

## ◆ completionModel

ExprCompletionModel* ExprTextEdit::completionModel

Definition at line 66 of file ExprEditor.h.

Referenced by ExprEditor::clearExtraCompleters(), ExprTextEdit(), keyPressEvent(), ExprEditor::rebuildControls(), ExprEditor::registerExtraFunction(), ExprEditor::registerExtraVariable(), ExprEditor::replaceExtras(), and ExprEditor::updateCompleter().

## ◆ functionTip

QToolTip* ExprTextEdit::functionTip
| private

Definition at line 57 of file ExprEditor.h.

## ◆ functionTooltips

std::map<std::string, std::string> ExprTextEdit::functionTooltips
| private

Definition at line 58 of file ExprEditor.h.

## ◆ highlighter

ExprHighlighter* ExprTextEdit::highlighter
| private

Definition at line 59 of file ExprEditor.h.

Referenced by ExprTextEdit(), paintEvent(), and updateStyle().

## ◆ lastStyleForHighlighter

QStyle* ExprTextEdit::lastStyleForHighlighter
| private

Definition at line 60 of file ExprEditor.h.

Referenced by paintEvent(), and updateStyle().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprEditor.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprEditor.cpp